Gecode::FlatZinc::SymbolEntry Class Reference

Entries in the symbol table. More...

`#include <parser.hh>`

## Public Member Functions

| SymbolEntry (void)
| Default constructor.
| SymbolEntry (SymbolType t0, int i0)
| Constructor.

## Public Attributes

SymbolType | t
int | i

## Detailed Description

Entries in the symbol table.

Definition at line 105 of file parser.hh.

## Constructor & Destructor Documentation

## SymbolEntry() [1/2]

Gecode::FlatZinc::SymbolEntry::SymbolEntry | ( | void |  | ) |

inline

Default constructor.

Definition at line 110 of file parser.hh.

## SymbolEntry() [2/2]

Gecode::FlatZinc::SymbolEntry::SymbolEntry | ( | SymbolType | t0,
|  | int | i0 )

inline

Constructor.

Definition at line 112 of file parser.hh.

## Member Data Documentation

## t

SymbolType Gecode::FlatZinc::SymbolEntry::t

Definition at line 107 of file parser.hh.

## i

int Gecode::FlatZinc::SymbolEntry::i

Definition at line 108 of file parser.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/parser.hh